Your submission was sent successfully! Close

CVE-2015-2156

Published: 18 October 2017

Netty before 3.9.8.Final, 3.10.x before 3.10.3.Final, 4.0.x before 4.0.28.Final, and 4.1.x before 4.1.0.Beta5 and Play Framework 2.x before 2.3.9 might allow remote attackers to bypass the httpOnly flag on cookies and obtain sensitive information by leveraging improper validation of cookie name and value characters.

Priority

Medium

CVSS 3 base score: 7.5

Status

Package Release Status
netty
Launchpad, Ubuntu, Debian
artful Ignored
(reached end-of-life)
bionic Not vulnerable
(1:4.0.34-1)
cosmic Not vulnerable
(1:4.0.34-1)
disco Not vulnerable
(1:4.0.34-1)
eoan Not vulnerable
(1:4.0.34-1)
focal Not vulnerable
(1:4.0.34-1)
groovy Not vulnerable
(1:4.0.34-1)
hirsute Not vulnerable
(1:4.0.34-1)
impish Not vulnerable
(1:4.0.34-1)
jammy Not vulnerable
(1:4.0.34-1)
precise Does not exist
(precise was needed)
trusty Needed

upstream
Released (3.9.9.Final-1, 1:4.0.31-1, 1:4.1.7-2)
vivid Ignored
(reached end-of-life)
wily Ignored
(reached end-of-life)
xenial Not vulnerable
(1:4.0.34-1)
yakkety Ignored
(reached end-of-life)
zesty Ignored
(reached end-of-life)
netty-3.9
Launchpad, Ubuntu, Debian
artful Ignored
(reached end-of-life)
bionic Not vulnerable
(3.9.9.Final-1)
cosmic Not vulnerable
(3.9.9.Final-1)
disco Does not exist

eoan Does not exist

focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (3.9.9.Final-1)
vivid Ignored
(reached end-of-life)
wily Ignored
(reached end-of-life)
xenial Ignored
(end of standard support, was needed)
yakkety Ignored
(reached end-of-life)
zesty Ignored
(reached end-of-life)
Patches:
upstream: https://github.com/slandelle/netty/commit/52b80e50ded14b44ea3e4cbd30e5d7f864f88d85
netty3.1
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

precise Does not exist
(precise was needed)
trusty Does not exist
(trusty was needed)
upstream Needs triage

vivid Ignored
(reached end-of-life)
wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist